// Copyright (C) 1999-2015
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __colorbartruecolor_h__
#define __colorbartruecolor_h__

#include "colorbar.h"
#include "colorbartrue.h"

class ColorbarTrueColor : public virtual ColorbarBase, 
  public Colorbar, public ColorbarTrue {
 private:
  int initColormap();

 protected:
  void updateColorCells();

public:
  ColorbarTrueColor(Tcl_Interp*, Tk_Canvas, Tk_Item*);
};

#endif
